Catalog - Update Credential
Modifies the specified credential for use with external data sources in the specified database
PATCH https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/databases/{databaseName}/credentials/{credentialName}?api-version=2016-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string |
The Azure Data Lake Analytics account upon which to execute catalog operations. |
|
adla
|
path | True |
string |
Gets the DNS suffix used as the base for all Azure Data Lake Analytics Catalog service requests. |
|
credential
|
path | True |
string |
The name of the credential. |
|
database
|
path | True |
string |
The name of the database containing the credential. |
|
api-version
|
query | True |
string |
Client Api Version. |
Request Body
| Name | Type | Description |
|---|---|---|
| newPassword |
string |
the new password for the credential and user with access to the data source. |
| password |
string |
the current password for the credential and user with access to the data source. This is required if the requester is not the account owner. |
| uri |
string |
the URI identifier for the data source this credential can connect to in the format <hostname>:<port> |
| userId |
string |
the object identifier for the user associated with this credential with access to the data source. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully updated the specified credential's password in the specified database |
Examples
Modifies the specified credential for use with external data sources in the specified database
Sample request
PATCH https://contosoadla.azuredatalakeanalytics.net/catalog/usql/databases/master/credentials/test_credential_name?api-version=2016-11-01
{
"password": "test_password",
"newPassword": "test_new_password",
"uri": "test_host:8000",
"userId": "test_user_id"
}
Sample response
Definitions
DataLakeAnalyticsCatalogCredentialUpdateParameters
Data Lake Analytics catalog credential update parameters.
| Name | Type | Description |
|---|---|---|
| newPassword |
string |
the new password for the credential and user with access to the data source. |
| password |
string |
the current password for the credential and user with access to the data source. This is required if the requester is not the account owner. |
| uri |
string |
the URI identifier for the data source this credential can connect to in the format <hostname>:<port> |
| userId |
string |
the object identifier for the user associated with this credential with access to the data source. |